//genMethods "-g" "-t" "UBinGraph*" "-r" "MUBinGraph*" "-I" "LINK/graph/UBinGraph.h" "-y" "display_graphptr" "-m" "mark_graphptr" "-w" "free_graphptr" "-d" "graph" "-f" "_uBinGraph_" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>
#include <LINK/graph/UBinGraph.h>
#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>
void display_graphptr(SCM, SCM, int);
void mark_graphptr(SCM);
void free_graphptr(SCM);
typedef UBinGraph* _UBinGraph_;
#define _UBinGraph_DATA(x) ((UBinGraph**) (EXTDATA(x)))
#define _UBinGraph_IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<UBinGraph* >::type))
#define _UBinGraph_ISNT_DATA(x) (!_UBinGraph_IS_DATA(x))
#define _UBinGraph_CXX_DATA(x) (*(UBinGraph**) (EXTDATA(VAL(x))))
#define _UBinGraph_CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<UBinGraph* >::type))
#define _UBinGraph_CXX_ISNT_DATA(x) (!_UBinGraph_CXX_IS_DATA(x))
// define your new methods above 
// and register them using STk_add_new_cpp_primitive() below
void genExtra_uBinGraph_Methods() {}
